<template>
  <div class="_container -position-relative">
    <rui-loading v-if="loading" fill relative />
    <rui-errors v-else-if="loadingError" :errors="loadingError" />

    <gpa-activities :activities="activities" />
  </div>
</template>

<script>
import RuiErrors from '@experiments-labs/rise_ui/src/components/DataDisplay/Error/Errors.vue'
import RuiLoading from '@experiments-labs/rise_ui/src/components/Loading/Loading.vue'

import Activity from '../../../classes/models/Activity'
import GpaActivities from './Activities/_Activities.vue'

export default {
  name: 'GpaActivitiesPage',
  components: { RuiErrors, RuiLoading, GpaActivities },
  data () {
    return {
      loading: false,
      loadingError: null,
      activities: [],
    }
  },
  created () {
    this.loading = true
    this.loadingError = null
    Activity.getIndex(this.$route.params.mapId)
      .then((activities) => { this.activities = activities })
      .catch((error) => { this.loadingError = error })
      .then(() => { this.loading = false })
  },
}
</script>

<style lang="scss" src="./Activities.scss" />
